/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>real expression nl</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl#getExp <em>Exp</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getreal_expression_nl()
 * @model
 * @generated
 */
public interface real_expression_nl extends EObject
{
  /**
   * Returns the value of the '<em><b>Exp</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Exp</em>' containment reference.
   * @see #setExp(real_expression)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getreal_expression_nl_Exp()
   * @model containment="true"
   * @generated
   */
  real_expression getExp();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.real_expression_nl#getExp <em>Exp</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Exp</em>' containment reference.
   * @see #getExp()
   * @generated
   */
  void setExp(real_expression value);

} // real_expression_nl
